Skip to main content
GET
/
v1
/
accounts
/
{id}
/
positions
Python (SDK)
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    res = fd_client.accounts.get_account_positions(id="<id>")

    # Handle response
    print(res)
[
  {
    "symbol": "<string>",
    "quantity": "<string>",
    "pnlToday": "<string>",
    "averagePrice": "<string>",
    "buyingPowerUsed": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Account ID

Response

Account positions retrieved successfully

symbol
string

Trading symbol

quantity
string

Position quantity

pnlToday
string

Profit/loss for today

averagePrice
string

Average cost basis price

buyingPowerUsed
string

Buying power used for position